### 3.27 `iswctype`—extensible wide-character test

Synopsis

         #include <wctype.h>
         int iswctype(wint_t c, wctype_t desc);

Description
`iswctype` is a function which classifies wide-character values using the wide-character test specified by desc.

Returns
`iswctype` returns non-zero if and only if c matches the test specified by desc. If desc is unknown, zero is returned.

Portability
`iswctype` is C99.

No supporting OS subroutines are required.